package itmir.tistory.talkwithmyphone;

import java.util.Date;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.telephony.SmsMessage;
import android.util.Log;

public class CommandReceiver extends BroadcastReceiver {
	private SharedPreferences mPref;

	@Override
	public void onReceive(Context mContext, Intent mIntent) {

		mPref = PreferenceManager.getDefaultSharedPreferences(mContext);

		if ("android.provider.Telephony.SMS_RECEIVED".equals(mIntent
				.getAction())) {
			//   

			// SMS ޽ Ľմϴ.
			Bundle bundle = mIntent.getExtras();
			Object messages[] = (Object[]) bundle.get("pdus");
			SmsMessage smsMessage[] = new SmsMessage[messages.length];

			for (int i = 0; i < messages.length; i++) {
				// PDU  Ǿ ִ ޽ մϴ.
				smsMessage[i] = SmsMessage.createFromPdu((byte[]) messages[i]);
			}

			// SMS  ð Ȯ
			Date curDate = new Date(smsMessage[0].getTimestampMillis());
			Log.d("Command   ð", curDate.toString());

			// SMS ߽ ȣ Ȯ
			String origNumber = smsMessage[0].getOriginatingAddress();

			// SMS ޽ Ȯ
			String message = smsMessage[0].getMessageBody().toString();
			Log.d("Command  ", "߽ : " + origNumber + ",  : " + message);

			getSMSAction(mContext, origNumber, message);
		}
	}

	private void getSMSAction(Context mContext, String number, String message) {
		if (message.equalsIgnoreCase(mPref.getString("wifi_on", "wifi on"))) {
			Tools.setWifi(mContext, true);
			Tools.sendSMS(number, "Wifi On ߽ϴ");
			Log.d("", "Wifi On");
		}

		if (message.equalsIgnoreCase(mPref.getString("wifi_off", "wifi off"))) {
			Tools.setWifi(mContext, false);
			Tools.sendSMS(number, "Wifi Off ߽ϴ");
			Log.d("", "Wifi Off");
		}
	}
}