package itmir.tistory.talkwithmyphone;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.preference.EditTextPreference;
import android.preference.Preference;
import android.preference.PreferenceActivity;
import android.preference.PreferenceManager;

public class SettingsActivity extends PreferenceActivity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		addPreferencesFromResource(R.xml.pref_settings);

		setOnPreferenceChange(findPreference("loginMessage"));
		setOnPreferenceChange(findPreference("logoutMessage"));

		setOnPreferenceChange(findPreference("wifi_on"));
		setOnPreferenceChange(findPreference("wifi_off"));
	}

	private void setOnPreferenceChange(Preference mPreference) {
		mPreference.setOnPreferenceChangeListener(onPreferenceChangeListener);

		onPreferenceChangeListener.onPreferenceChange(
				mPreference,
				PreferenceManager.getDefaultSharedPreferences(
						mPreference.getContext()).getString(
						mPreference.getKey(), ""));
	}

	private Preference.OnPreferenceChangeListener onPreferenceChangeListener = new Preference.OnPreferenceChangeListener() {

		@SuppressLint("NewApi")
		@Override
		public boolean onPreferenceChange(Preference preference, Object newValue) {
			String stringValue = newValue.toString();

			if (stringValue.isEmpty()) {
				return false;
			}

			if (preference instanceof EditTextPreference) {
				preference.setSummary(stringValue);
			}

			return true;
		}

	};

}
